package controllers

import (
	"wb/ctrl"
	"wb/ii"
	"wb/om"
)

type PrestoreController struct {
	ctrl.ItemController
}

func (this *PrestoreController) NestPrepare() {
	this.CtxItemInfo, _ = ii.ItemInfoMap["prestore"]
}

func (this *PrestoreController)  UiList() {
	this.TplName="stock/stocklist.tpl"
}
func (this *PrestoreController)  UiPreList() {
	this.TplName="stock/prestore.tpl"
}

func (this *PrestoreController) UiReceiveList() {
	number :=this.GetString("number")
	this.Data["number"] = number
	om.Table("prestore").Get(om.Params{"number":number})
	this.TplName="stock/receive.tpl"
}
